package com.zhongzheng.modules.exam.service;

import com.zhongzheng.modules.exam.bo.ExamNumberGoodsQueryBo;
import com.zhongzheng.modules.exam.domain.ExamApply;
import com.zhongzheng.modules.exam.vo.ExamApplySiteVo;
import com.zhongzheng.modules.exam.vo.ExamApplyVo;
import com.zhongzheng.modules.exam.bo.ExamApplyQueryBo;
import com.zhongzheng.modules.exam.bo.ExamApplyAddBo;
import com.zhongzheng.modules.exam.bo.ExamApplyEditBo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhongzheng.modules.exam.vo.ExamNumberGoodsVo;

import java.util.Collection;
import java.util.List;

/**
 * 考试安排Service接口
 *
 * @author ruoyi
 * @date 2021-12-07
 */
public interface IExamApplyService extends IService<ExamApply> {
	/**
	 * 查询单个
	 * @return
	 */
	ExamApplyVo queryById(Long applyId);

	/**
	 * 查询列表
	 */
	List<ExamApplyVo> queryList(ExamApplyQueryBo bo);

	/**
	 * 根据新增业务对象插入考试安排
	 * @param bo 考试安排新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(ExamApplyAddBo bo);

	/**
	 * 根据编辑业务对象修改考试安排
	 * @param bo 考试安排编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(ExamApplyEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<ExamNumberGoodsVo> listGoods(ExamNumberGoodsQueryBo bo);

	List<ExamApplySiteVo> getSiteInfo(ExamApplyQueryBo bo);

	ExamApplyVo getGoodsInfo(ExamApplyQueryBo bo);
}
